For Developers
Delete Geo
DELETE https://ed.link/api/v2/teams/:team_id/origin-policies/:policy_id/geos/:geo_id
Removes a geographic country code restriction from the origin policy.
Permissions
Requires the origin_policies.delete system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:policy_id | UUID | Yes | The ID of the origin policy. |
:geo_id | UUID | Yes | The ID of the geographic rule to delete. |
Sample Request
const response = await axios.delete(
`https://ed.link/api/v2/teams/${team_id}/origin-policies/${policy_id}/geos/${geo_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "e22a4b88-1c39-4d6b-9520-21a4fa800311",
"deleted": true
}
}
